#include <iostream>
#include <fstream>
#include <sstream>
#include <iomanip>
#include <string>
#include "../Block.hh"
#include "../Header.hh"
#include "../PSRFits.hh"
#include "../Utils.hh"

using namespace Header;
using namespace Block;
using namespace FITS;
using std::string;

int main(int argc, char * argv[])
{

  std::string fname;
  if(argc==2) fname = argv[1];
  else{
    std::cerr << "Usage: \"testMoving.x filename\"...\n";
    return 1;
  }

  SURVEY currentSurvey = idSurvey(fname);
  std::cerr << "File " << fname <<" : " << surveyNames[currentSurvey]<<"\n";
  if(currentSurvey == DUD){
    std::cerr << "Exiting...\n";
    return 1;
  }

  std::ifstream fin;
  fin.open(fname.c_str(), std::ios::binary);
  DataBlock block(currentSurvey);
  block.readBlock(fin);

  int countGood = 0;
  int countMove = 0;
  int countPos = 0;

  do{

    if(block.telescopeOK()){
      if(countMove>0) {
	std::cout << "Number of moving blocks = " << countMove << "\n";
	countMove = 0;
      }
      countGood++;
    }
    else{
      if(countGood > 0){
	std::cout << "Position " << ++countPos << ": "
		  << "Number of good blocks = " << countGood
		  << ", stopping at block " << block.getKeyword<int>(BLK_CNTR) 
		  << "\n";
	countGood = 0;
      }
      countMove++;
    }
    
  } while(block.readBlock(fin));

}
