#include <iostream>
#include <fstream>
#include <sstream>
#include <iomanip>
#include <string>
#include "../Block.hh"
#include "../Header.hh"
#include "../PSRFits.hh"
#include "../Utils.hh"

using namespace Header;
using namespace Block;
using namespace FITS;
using std::string;

int main()
{
  
  std::string fname = "data/s70_tape_test_S181_S18101.dat";
  SURVEY currentSurvey = idSurvey(fname);

  std::ifstream fin;
  fin.open(fname.c_str(), std::ios::binary);
    
  DataBlock block(currentSurvey);
  block.readBlock(fin);
  
  PSRFits fitsfile;
  if(fitsfile.initialise(block) == FAILURE) return 1;
  fitsfile.writeSubintRow(block);
  block.readBlock(fin);
  fitsfile.writeSubintRow(block);
  fitsfile.closeFile();

}
  
